ChangeSet 1.968, 2002/12/27 15:04:53-08:00, greg@kroah.com

[PATCH] USB storage driver: remove direct calls to dev_set* and dev_get*

change dev_set_drvdata() and dev_get_drvdata() to
usb_set_intfdata() and usb_get_intfdata()


diff -Nru a/drivers/usb/storage/usb.c b/drivers/usb/storage/usb.c
--- a/drivers/usb/storage/usb.c	Fri Dec 27 23:55:36 2002
+++ b/drivers/usb/storage/usb.c	Fri Dec 27 23:55:36 2002
@@ -1036,7 +1036,7 @@
 	       "USB Mass Storage device found at %d\n", dev->devnum);
 
 	/* save a pointer to our structure */
-	dev_set_drvdata (&intf->dev, ss);
+	usb_set_intfdata(intf, ss);
 	return 0;
 
 	/* we come here if there are any problems */
@@ -1053,11 +1053,11 @@
 /* Handle a disconnect event from the USB core */
 static void storage_disconnect(struct usb_interface *intf)
 {
-	struct us_data *ss = dev_get_drvdata (&intf->dev);
+	struct us_data *ss = usb_get_intfdata(intf);
 
 	US_DEBUGP("storage_disconnect() called\n");
 
-	dev_set_drvdata (&intf->dev, NULL);
+	usb_set_intfdata(intf, NULL);
 
 	/* this is the odd case -- we disconnected but weren't using it */
 	if (!ss) {
